﻿Public Class Form1
    Dim Paraula As String

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim Paraula As String

        ' Obrir l'arxiu de paraules
        FileOpen(1, Application.StartupPath & "\penjat.txt", OpenMode.Input)

        ' Fer un bucle per llegir totes les paraules
        While EOF(1) = False

            ' Llegir una paraula
            Paraula = LineInput(1)

            ' Afegir la paraula dins del listbox
            ListBox1.Items.Add(Paraula)
        End While

        ' Tancar l'arxiu
        FileClose(1)

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles btInici.Click
        Dim N As Integer
        Dim X As Integer
        Dim Aleatori As New Random

        ' Quantes paraules hi han
        N = ListBox1.Items.Count

        ' Pensar un numero entre 0 i el total de paraules
        X = Aleatori.Next(0, N)

        ' Seleccionar la paraula al atzar
        ListBox1.SelectedIndex = X

        ' Guardar la paraula seleccionada dins de la varaible global
        Paraula = ListBox1.SelectedItem

        ' Calcular la llargada de la Paraula
        N = Paraula.Length

        ' Buidar el contingut del label dels asteriscos
        labelAsteriscos.Text = ""

        ' Fer un bucle per omplir d'asteriscos (*) el label
        For X = 1 To N
            labelAsteriscos.Text = labelAsteriscos.Text + "*"
        Next

        ' Desactivar el boto d'inici, perquè no facin trampes
        btInici.Enabled = False

        ' Activar el boto de Mirar i el textbox per escriure les lletres
        btMirar.Enabled = True
        txtLletra.Enabled = True

        ' Activar el panel del teclat
        Panel1.Enabled = True

        ' Situar el focus en el textbox
        txtLletra.Focus()

    End Sub

    Private Sub btMirar_Click(sender As Object, e As EventArgs) Handles btMirar.Click
        Dim lletra As String
        Dim abecedari As String = "abcdefghijklmnopqrstuvwxyzñç"

        ' Recollir la lletra
        lletra = txtLletra.Text.Trim

        ' Convertir lletra amb minuscules
        lletra = lletra.ToLower

        ' Mirar si han escrit alguna cosa
        If lletra = "" Then
            MsgBox("Has d'escriure una lletra")
            txtLletra.Focus()
            Exit Sub
        End If

        ' Han escrit una lletra?
        If abecedari.Contains(lletra) = False Then
            MsgBox("Ha de ser una lletra")
            txtLletra.Text = ""
            txtLletra.Focus()
            Exit Sub
        End If

        ' Mirar si la lletra existeix dins de la paraula
        If Paraula.Contains(lletra) = False Then
            labelFallos.Text = labelFallos.Text + 1
            PictureBox1.Image = Image.FromFile(Application.StartupPath & "\Fotos\penja" & labelFallos.Text & ".jpg")
        Else
            Dim N As Integer
            Dim X As Integer

            ' Calcular la llargada de la paraula
            N = Paraula.Length

            ' Fer un bucle per mirar lletra a lletra
            For X = 0 To N - 1

                ' Mirar la lletra
                If Paraula.Substring(X, 1) = lletra Then
                    ' Sustituir l'asterisc per la lletra
                    labelAsteriscos.Text = labelAsteriscos.Text.Remove(X, 1).Insert(X, lletra)
                End If
            Next

        End If

        ' Mirar si tenim 10 fallos
        If labelFallos.Text = 10 Then
            MsgBox("Has perdut, la paraula era : " & Paraula)
            End
        End If

        ' Has encertat tot?
        If Paraula = labelAsteriscos.Text Then
            MsgBox("Has guanyat")
            End
        End If

        ' Buidar el textbox i posar el focus
        txtLletra.Text = ""
        txtLletra.Focus()

    End Sub

    Private Sub Button1_Click_1(sender As Object, e As EventArgs) Handles Button1.Click, Button9.Click, Button8.Click, Button7.Click, Button6.Click, Button5.Click, Button4.Click, Button3.Click, Button28.Click, Button27.Click, Button26.Click, Button25.Click, Button24.Click, Button23.Click, Button22.Click, Button21.Click, Button20.Click, Button2.Click, Button19.Click, Button18.Click, Button17.Click, Button16.Click, Button15.Click, Button14.Click, Button13.Click, Button12.Click, Button11.Click, Button10.Click
        Dim bt As Button = sender

        ' Boto de la A
        txtLletra.Text = bt.Text

        ' Fer el click del boto Mirar
        Call btMirar_Click(Nothing, Nothing)

        ' Desactivar el boto
        bt.Enabled = False

    End Sub


End Class
